Installer - Bug #30721

Disable mongo Full Time Diagnostic Data Capture
08/27/2020 02:15 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: foreman-installer script
Target version: 2.2.0
Difficulty: Fixed in Releases: 2.2.0
Triaged: Yes Found in Releases:
Bugzilla link: 1834377 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/567,
https://github.com/theforeman/foreman-i
nstaller/pull/574

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1834377

Description of problem:

By default, mongo collects FTDC (Full Time Diagnostic Data Capture). See
https://docs.mongodb.com/manual/administration/analyzing-mongodb-performance/ and grep for FTDC. Checking thread CPU
usage, | noticed that ftdc thread responsible for this consumes nontrivial amount of CPU. On idle-ish Satellite, it is the most busy
thread, on a very busy Satellite, it consumes 5% of overall mongod CPU time.

We have not utilised the collected data under /var/lib/mongodb/diagnostic.data/ so we should disable collecting the FTDC by default
and save 5%+ CPU time of mongod.

I understand mongod will be deprecated since Sat7, letting on PrdM and Eng to decide if it is worth disabling since then.
It is sufficient to change /etc/opt/rh/rh-mongodb34/sysconfig/mongod to:
OPTIONS="-f /etc/opt/rh/rh-mongodb34/mongod.conf --setParameter diagnosticDataCollectionEnabled=false”

Version-Release number of selected component (if applicable):
Sat 6.7

How reproducible:
100%

Steps to Reproduce:

1. Deploy a Sat, produce a load

2. /bin/ps -p $(pgrep mongod) -L -o pid,tid,psr,pcpu,comm= | sort -nk4
Actual results:

2. shows one of busiest threads is:

PID TID PSR %CPU

15086 15106 11 1.4 ftdc

Expected results:
ftdc does not consume CPU

Additional info:

Associated revisions

Revision 8164f23c - 08/27/2020 03:19 PM - Eric Helms
Fixes #30721: Disable MongoDB diagnostic data collection
https://bugzilla.redhat.com/show_bug.cgi?id=1834377
https://docs.mongodb.com/manual/administration/analyzing-mongodb-performance/

History

#1 - 08/27/2020 02:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/567 added

#2 - 08/27/2020 03:19 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#3 - 08/27/2020 04:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset installer|8164f23cc4b26aab33a769082d848d97b364999b.

#4 - 09/08/2020 01:01 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/574 added

#5 - 09/08/2020 01:08 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script

- Target version set to 2.2.0

- Triaged changed from No to Yes

- Fixed in Releases 2.2.0 added

- Fixed in Releases deleted (2.3.0)

#6 - 09/08/2020 04:14 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Disable mongo FTDC to Disable mongo Full Time Diagnostic Data Capture
